Debian Bug report logs - #585591
iputils-arping: arping fails to set correct broadcast address

version graph

Package: iputils-arping; Maintainer for iputils-arping is Noah Meyerhans <noahm@debian.org>; Source for iputils-arping is src:iputils.

Reported by: Paul Martin <pm@debian.org>

Date: Sat, 12 Jun 2010 02:24:02 UTC

Severity: important

Tags: patch

Found in version iputils/3:20100418-1

Fixed in version iputils/3:20100418-3

Done: <noahm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <noahm@debian.org>:
Bug#585591; Package iputils-arping. (Sat, 12 Jun 2010 02:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Martin <pm@debian.org>:
New Bug report received and forwarded. Copy sent to Noah Meyerhans <noahm@debian.org>. (Sat, 12 Jun 2010 02:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Martin <pm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iputils-arping: arping fails to set correct broadcast address
Date: Sat, 12 Jun 2010 02:46:27 +0100
[Message part 1 (text/plain, inline)]
Package: iputils-arping
Version: 3:20100418-1
Severity: important
Tags: patch


There's a logic error in the function that parses the interface's 
broadcast address, causing it not to fill the broadcast address array 
correctly.

ie.

sendto(3, "\0\1\10\0\6\4\0\1\0\24\244\4\337\t\300\250\nv\377\24\377\4\377\t\300\250\n\1", 28, 0, {sa_family=AF_PACKET, proto=0x806, if4, pkttype=PACKET_LOOPBACK, addr(6)={1, ff14ff04ff09}, 20) = 28

instead of

sendto(3, "\0\1\10\0\6\4\0\1\0\24\244\4\337\t\300\250\nv\377\377\377\377\377\377\300\250\n\1", 28, 0, {sa_family=AF_PACKET, proto=0x806, if4, pkttype=0x65 /* ? */, addr(6)={1, ffffffffffff}, 20) = 28



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (99, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.34 (PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages iputils-arping depends on:
ii  libc6                         2.11.1-3   Embedded GNU C Library: Shared lib
ii  libsysfs2                     2.1.0-6    interface library to sysfs

iputils-arping recommends no packages.

iputils-arping suggests no packages.

-- no debconf information
[arping.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <noahm@debian.org>:
Bug#585591; Package iputils-arping. (Fri, 13 Aug 2010 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesper Dangaard Brouer <hawk@comx.dk>:
Extra info received and forwarded to list. Copy sent to Noah Meyerhans <noahm@debian.org>. (Fri, 13 Aug 2010 09:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 585591@bugs.debian.org (full text, mbox):

From: Jesper Dangaard Brouer <hawk@comx.dk>
To: YOSHIFUJI Hideaki <yoshfuji@linux-ipv6.org>
Cc: netdev@vger.kernel.org, 585591@bugs.debian.org, Noah Meyerhans <noahm@debian.org>, Paul Martin <pm@debian.org>, hawk@comx.dk
Subject: [PATCH] iputils: arping fails to set correct broadcast address
Date: Fri, 13 Aug 2010 11:44:56 +0200
From: Paul Martin <pm@debian.org>

There seems to have been introduced a bug in iputils release s20100418.

This patch is based upon git://www.linux-ipv6.org/gitroot/iputils.git
(git commit fe342ca3148)

The regression is caused by commit 56018bf1b3
 arping: Support link-layer type with larger link-layer address.

As reported by: Paul Martin <pm@debian.org> in Debian bugreport #585591.

 There's a logic error in the function that parses the interface's
 broadcast address, causing it not to fill the broadcast address array
 correctly.

Please apply.

Reported-by: Paul Martin <pm@debian.org>
Tested-by: Jesper Dangaard Brouer <hawk@comx.dk>
Signed-off-by: Jesper Dangaard Brouer <hawk@comx.dk>
---
 arping.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/arping.c b/arping.c
index 9bd6927..2613a12 100644
--- a/arping.c
+++ b/arping.c
@@ -336,7 +336,7 @@ void set_device_broadcast(char *device, unsigned char *ba, size_t balen)
 	}
 
 	for (p = ba, ch = 0; p < ba + balen; p++, ch += 3)
-		*p++ = strtoul(brdcast->value + ch * 3, NULL, 16);
+		*p = strtoul(brdcast->value + ch, NULL, 16);
 
 	return;
 }






Information forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <noahm@debian.org>:
Bug#585591; Package iputils-arping. (Thu, 16 Sep 2010 08:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to YOSHIFUJI Hideaki <yoshfuji@linux-ipv6.org>:
Extra info received and forwarded to list. Copy sent to Noah Meyerhans <noahm@debian.org>. (Thu, 16 Sep 2010 08:39:11 GMT) Full text and rfc822 format available.

Message #15 received at 585591@bugs.debian.org (full text, mbox):

From: YOSHIFUJI Hideaki <yoshfuji@linux-ipv6.org>
To: Jesper Dangaard Brouer <hawk@comx.dk>
Cc: netdev@vger.kernel.org, 585591@bugs.debian.org, Noah Meyerhans <noahm@debian.org>, Paul Martin <pm@debian.org>
Subject: Re: [PATCH] iputils: arping fails to set correct broadcast address
Date: Thu, 16 Sep 2010 17:28:28 +0900
Hello.

(4:59), Jesper Dangaard Brouer wrote:
> 
> From: Paul Martin<pm@debian.org>
> 
> There seems to have been introduced a bug in iputils release s20100418.
> 
> This patch is based upon git://www.linux-ipv6.org/gitroot/iputils.git
> (git commit fe342ca3148)
> 
> The regression is caused by commit 56018bf1b3
>   arping: Support link-layer type with larger link-layer address.
> 
> As reported by: Paul Martin<pm@debian.org>  in Debian bugreport #585591.
> 
>   There's a logic error in the function that parses the interface's
>   broadcast address, causing it not to fill the broadcast address array
>   correctly.
> 
> Please apply.
> 
> Reported-by: Paul Martin<pm@debian.org>
> Tested-by: Jesper Dangaard Brouer<hawk@comx.dk>
> Signed-off-by: Jesper Dangaard Brouer<hawk@comx.dk>

Applied.  Thank you very much!

--yoshfuji




Information stored :
Bug#585591; Package iputils-arping. (Wed, 13 Oct 2010 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to naoliv@debian.org, 585591-quiet@bugs.debian.org:
Extra info received and filed, but not forwarded. (Wed, 13 Oct 2010 20:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 585591-quiet@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: Noah Meyerhans <noahm@debian.org>
Cc: 585591-quiet@bugs.debian.org
Subject: Status of #585591
Date: Wed, 13 Oct 2010 17:02:51 -0300
Hi Noah!

Are you planning to have this bug fixed for Squeeze, please?
It makes arping unusable.

Best regards,
Nelson




Information stored :
Bug#585591; Package iputils-arping. (Wed, 13 Oct 2010 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noah Meyerhans <noahm@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 13 Oct 2010 21:27:06 GMT) Full text and rfc822 format available.

Message #25 received at 585591-quiet@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: naoliv@debian.org, 585591-quiet@bugs.debian.org
Subject: Re: Status of #585591
Date: Wed, 13 Oct 2010 17:25:13 -0400
[Message part 1 (text/plain, inline)]
On Wed, Oct 13, 2010 at 05:02:51PM -0300, Nelson A. de Oliveira wrote:
> Are you planning to have this bug fixed for Squeeze, please?
> It makes arping unusable.

Hi Nelson.  I'm sorry that this bug has slipped my mind.  I'll try to
get a fix uploaded this evening and will follow up with the release team
to make sure that it's included with the squeeze release.

noah

[signature.asc (application/pgp-signature, inline)]

Reply sent to <noahm@debian.org>:
You have taken responsibility. (Thu, 14 Oct 2010 06:21:07 GMT) Full text and rfc822 format available.

Notification sent to Paul Martin <pm@debian.org>:
Bug acknowledged by developer. (Thu, 14 Oct 2010 06:21:07 GMT) Full text and rfc822 format available.

Message #30 received at 585591-close@bugs.debian.org (full text, mbox):

From: <noahm@debian.org>
To: 585591-close@bugs.debian.org
Subject: Bug#585591: fixed in iputils 3:20100418-3
Date: Thu, 14 Oct 2010 06:17:07 +0000
Source: iputils
Source-Version: 3:20100418-3

We believe that the bug you reported is fixed in the latest version of
iputils, which is due to be installed in the Debian FTP archive:

iputils-arping_20100418-3_i386.deb
  to main/i/iputils/iputils-arping_20100418-3_i386.deb
iputils-clockdiff_20100418-3_i386.deb
  to main/i/iputils/iputils-clockdiff_20100418-3_i386.deb
iputils-ping_20100418-3_i386.deb
  to main/i/iputils/iputils-ping_20100418-3_i386.deb
iputils-tracepath_20100418-3_i386.deb
  to main/i/iputils/iputils-tracepath_20100418-3_i386.deb
iputils_20100418-3.debian.tar.gz
  to main/i/iputils/iputils_20100418-3.debian.tar.gz
iputils_20100418-3.dsc
  to main/i/iputils/iputils_20100418-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 585591@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
noahm@debian.org (supplier of updated iputils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 23 Jul 2010 21:44:24 -0700
Source: iputils
Binary: iputils-ping iputils-tracepath iputils-arping iputils-clockdiff
Architecture: source i386
Version: 3:20100418-3
Distribution: unstable
Urgency: low
Maintainer: Noah Meyerhans <noahm@debian.org>
Changed-By: noahm@debian.org
Description: 
 iputils-arping - Tool to send ICMP echo requests to an ARP address
 iputils-clockdiff - Measure the time difference between networked computers
 iputils-ping - Tools to test the reachability of network hosts
 iputils-tracepath - Tools to trace the network path to a remote host
Closes: 585591
Changes: 
 iputils (3:20100418-3) unstable; urgency=low
 .
   * Apply upstream's fix to a coding error that prevented the broadcast
     address from being set correctly in arping (Closes: 585591)
Checksums-Sha1: 
 61530f1043b8a92d4e625e94c5edac0adc76c55e 1189 iputils_20100418-3.dsc
 64fc0db7d61fecaca8ae7548061ada68dcfcd569 10628 iputils_20100418-3.debian.tar.gz
 1cddd4fb73b744cecac0044c8996110c6141015e 54408 iputils-ping_20100418-3_i386.deb
 a1ba3760d2089536e5f2d2d7cd5fe7a083334722 30488 iputils-tracepath_20100418-3_i386.deb
 30c27087daf9dd937fc7eba259a9165aa0252c55 22620 iputils-arping_20100418-3_i386.deb
 76610920f7a64369d12c54c7c05b67cf1aff077d 21430 iputils-clockdiff_20100418-3_i386.deb
Checksums-Sha256: 
 c7eb0c87e00106b7339ff3c51208dd4d315fd06ce3bf89c0c8a558be75ae8cd5 1189 iputils_20100418-3.dsc
 3b0d5c7ad5141e472a4463e119ad886fe043ec4df8d559ffdbf95813017c96f7 10628 iputils_20100418-3.debian.tar.gz
 9de2e688e9bd50bc99874667a30bc9c2fa67b4944e92d51cb9ec87de8f8c09d5 54408 iputils-ping_20100418-3_i386.deb
 e7c506d574dad710e023d93773ece97d4672c80b001784b79e0fe0e1820f9ec6 30488 iputils-tracepath_20100418-3_i386.deb
 a1bb31445568d64ae6880ac800d3eca651d353952e202d3ddd7bb38c043f8827 22620 iputils-arping_20100418-3_i386.deb
 8afc0f7a7c2c74d9d70bb155c622500b4108a3631b6e819763b9f9ae7262d0fe 21430 iputils-clockdiff_20100418-3_i386.deb
Files: 
 839755581ba94cf13d9f67f8f78eb843 1189 net extra iputils_20100418-3.dsc
 83b175161b91055f0e73ff6ce9531bc0 10628 net extra iputils_20100418-3.debian.tar.gz
 077656755dcd5a432a53c16b9216b2f8 54408 net important iputils-ping_20100418-3_i386.deb
 8bf58c674311ab1cfe2a02a63fa50be9 30488 net optional iputils-tracepath_20100418-3_i386.deb
 ffe6ccd6205f9aa0b2df42fe083015a8 22620 net extra iputils-arping_20100418-3_i386.deb
 e433452d76884d9271cc2170e53a389c 21430 net extra iputils-clockdiff_20100418-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMtp3zYrVLjBFATsMRAumRAJ9DEQGaHi/E5cKex5d+22RtUdoqYQCfe/Ne
CCoD5875XXH2zQFv4uNJTzs=
=gJz1
-----END PGP SIGNATURE-----





Information stored :
Bug#585591; Package iputils-arping. (Thu, 14 Oct 2010 06:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noah Meyerhans <noahm@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 14 Oct 2010 06:48:03 GMT) Full text and rfc822 format available.

Message #35 received at 585591-quiet@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: naoliv@debian.org, 585591-quiet@bugs.debian.org
Subject: Re: Status of #585591
Date: Thu, 14 Oct 2010 02:45:10 -0400
[Message part 1 (text/plain, inline)]
On Wed, Oct 13, 2010 at 05:02:51PM -0300, Nelson A. de Oliveira wrote:
> Are you planning to have this bug fixed for Squeeze, please?
> It makes arping unusable.

I've uploaded 20100418-3 to unstable and have requested that the release
team allow it to propagate to squeeze.

noah

[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#585591; Package iputils-arping. (Thu, 14 Oct 2010 11:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 14 Oct 2010 11:27:03 GMT) Full text and rfc822 format available.

Message #40 received at 585591-quiet@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: Noah Meyerhans <noahm@debian.org>
Cc: 585591-quiet@bugs.debian.org
Subject: Re: Status of #585591
Date: Thu, 14 Oct 2010 08:17:53 -0300
Hi Noah!

On Thu, Oct 14, 2010 at 3:45 AM, Noah Meyerhans <noahm@debian.org> wrote:
> On Wed, Oct 13, 2010 at 05:02:51PM -0300, Nelson A. de Oliveira wrote:
>> Are you planning to have this bug fixed for Squeeze, please?
>> It makes arping unusable.
>
> I've uploaded 20100418-3 to unstable and have requested that the release
> team allow it to propagate to squeeze.

Perfect! Thank you very much!

Best regards,
Nelson




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Nov 2010 07:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:38:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.